Bug 967308 - allow swift object versioning by default
allow swift object versioning by default
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: z2
: 4.0
Assigned To: Francesco Vollero
Attila Darazs
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 08:51 EDT by Attila Fazekas
Modified: 2016-04-26 11:52 EDT (History)
8 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.2.1-0.25.dev987.el6ost
Doc Type: Bug Fix
Doc Text:
Previously, swift's object versioning was disabled by default. With this update, this feature is now enabled in the default configuration file ('allow_versions "true"' in /etc/swift/container-server.conf).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 14:12:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 37493 None None None Never
OpenStack gerrit 65979 None None None Never
OpenStack gerrit 76315 None None None Never

  None (edit)
Description Attila Fazekas 2013-05-26 08:51:38 EDT
Important swift feature not working by the default install:
http://docs.openstack.org/developer/swift/overview_object_versioning.html

The object versioning should be enabled by default.

/etc/swift/container-server.conf:
[app:container-server] 
  allow_versions  "true"
Comment 2 Francesco Vollero 2013-07-18 07:05:42 EDT
FYI the object versioning is disabled by default in Swift.
While I agree with you that puppet-swift should be able to activate/deactivate the versioning, I am not entirely sure that everyone want to have it enabled by default.
So, my thought here is to let the sysadmin to decide if they want to have it or not enabled.
Comment 5 Attila Darazs 2014-02-20 11:43:34 EST
The default is false now, as can be seen at the linked change[1], so it didn't fix the bug, and because of this, the Doc Text is incorrect as well. Please correct the puppet module to have a default true, or close the bug as WONTFIX (though we need this value to be true for Tempest tests).

[1] https://review.openstack.org/#/c/37493/4/manifests/storage/server.pp
Comment 8 Francesco Vollero 2014-02-22 07:46:16 EST
Attila, the patch was for puppet-swift upstream and not for packstack itself.
During the discussion on irc in July 2013, I got as feedback from the core guys that would be better, as I wrote in my comment, that the devop had to decide for himself if to set or not and that the default value have to be the same as it is on the documentation/current config file, in our case false by default.
This mean that you should have checked the packstack puppet modules[1] and not refer to that review.

[1] https://github.com/stackforge/packstack/tree/master/packstack/puppet/templates
Comment 9 Attila Darazs 2014-02-24 09:48:29 EST
This bug is for packstack. It's about enabling the versioning by default. Currently it's not the default. It's not even exposed to packstack through an option/answer file, so I don't see how this bug is fixed.

I understand that the option to change this was added to the *puppet* module of swift, it's still completely unavailable to anybody who doesn't specifically know about it and is using the puppet modules directly.

Regarding the correct/incorrect link: Francesco, you linked the master branch of packstack. The Havana branch is using subrepositories, which includes the puppet-swift repo directly, thus the merged change is the relevant one that is included currently in the stable Havana packages.

To reiterate: to close this bug successfully either the default should be changed or at least the possibility to change the option should be added to packstack's command line + answer file.

A.
Comment 13 Francesco Vollero 2014-02-25 17:11:40 EST
The bug, now is fixed.
Comment 14 Attila Darazs 2014-02-26 06:31:42 EST
Now it's fixed... in the master branch. Is this going to get included in the Havana packstack package?
Comment 17 Attila Darazs 2014-03-03 07:10:32 EST
After installing with packstack, the value is now correct. Verified.

[root@node ~]# grep allow_versions /etc/swift/container-server.conf
allow_versions = true
Comment 19 errata-xmlrpc 2014-03-04 14:12:24 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0233.html

Note You need to log in before you can comment on or make changes to this bug.